-- Test redsys_response
set client_min_messages to warning;
create extension if not exists pgtap;
reset client_min_messages;

begin;

select plan(13);

set search_path to camper, public;

select has_composite('camper', 'redsys_response', 'Composite type camper.redsys_response should exist');
select columns_are('camper', 'redsys_response', array['merchant_code', 'terminal_number', 'response_code', 'date_time', 'secure_payment', 'transaction_type', 'amount', 'currency_code', 'order_number', 'authorization_code', 'error_code']);
select col_type_is('camper'::name, 'redsys_response'::name, 'merchant_code'::name, 'text');
select col_type_is('camper'::name, 'redsys_response'::name, 'terminal_number'::name, 'integer');
select col_type_is('camper'::name, 'redsys_response'::name, 'response_code'::name, 'integer');
select col_type_is('camper'::name, 'redsys_response'::name, 'date_time'::name, 'timestamp without time zone');
select col_type_is('camper'::name, 'redsys_response'::name, 'secure_payment'::name, 'boolean');
select col_type_is('camper'::name, 'redsys_response'::name, 'transaction_type'::name, 'integer');
select col_type_is('camper'::name, 'redsys_response'::name, 'amount'::name, 'text');
select col_type_is('camper'::name, 'redsys_response'::name, 'currency_code'::name, 'currency_code');
select col_type_is('camper'::name, 'redsys_response'::name, 'order_number'::name, 'text');
select col_type_is('camper'::name, 'redsys_response'::name, 'authorization_code'::name, 'text');
select col_type_is('camper'::name, 'redsys_response'::name, 'error_code'::name, 'text');

select *
from finish();

rollback;
